diff --git a/changelog b/changelog
index dcdf237..28ead41 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20091004 tpd src/axiom-website/patches.html 20091004.02.tpd.patch
+20091004 tpd src/input/Makefile
+20091004 tpd src/input/zimmbron.input
 20091004 tpd src/axiom-website/patches.html 20091004.01.tpd.patch
 20091004 tpd src/interp/i-map.lisp cleanup
 20091003 tpd src/axiom-website/patches.html 20091003.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 30c6bfc..db7386c 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2095,5 +2095,7 @@ src/interp/i-resolv.lisp cleanup<br/>
 src/interp/i-output.lisp cleanup<br/>
 <a href="patches/20091004.01.tpd.patch">20091004.01.tpd.patch</a>
 src/interp/i-map.lisp cleanup<br/>
+<a href="patches/20091004.02.tpd.patch">20091004.02.tpd.patch</a>
+src/input/zimmbron.input added<br/>
  </body>
 </html>
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 7b8eb90..5abd2ce 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -240,7 +240,8 @@ SKIP= as-eg1.output as-eg2.output    \
       s21bcf.output    s21bdf.output    saddle.output    \
       sininv.output    sinsin2.output   sinsin.output    spiral.output    \
       tetra.output     tknot.output     tschirn.output   typo.output      \
-      vectors.output   wester.output    wiggle.output    zimmer.output    
+      vectors.output   wester.output    wiggle.output    zimmbron.output \
+      zimmer.output    
 
 # Error ASEC is invalid as a function.
 ASEC=errortrap.output 
@@ -390,7 +391,7 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     triglim.regress   tsetcatvermeer.regress            tutchap1.regress \
     typetower.regress void.regress      uniseg.regress \
     unittest1.regress unittest2.regress unittest3.regress unittest4.regress \
-    unit-i-funsel.regress     
+    unit-i-funsel.regress zimmbron.regress
 
 IN=     ${SRC}/input
 MID=	${INT}/input
@@ -712,7 +713,7 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/vector.input   ${OUT}/vectors.input    ${OUT}/viewdef.input \
        ${OUT}/void.input     ${OUT}/wiggle.input   \
        ${OUT}/wutset.input \
-       ${OUT}/xpoly.input      ${OUT}/xpr.input \
+       ${OUT}/xpoly.input    ${OUT}/xpr.input        ${OUT}/zimmbron.input \
        ${OUT}/zdsolve.input  ${OUT}/zimmer.input     ${OUT}/zlindep.input
 
 FILES2=${OUT}/arith.input    ${OUT}/bugs.input \
@@ -1077,6 +1078,7 @@ DOCFILES= \
   ${DOC}/wester.input.dvi      ${DOC}/wiggle.input.dvi     \
   ${DOC}/wutset.input.dvi      \
   ${DOC}/xpoly.input.dvi       ${DOC}/xpr.input.dvi        \
+  ${DOC}/zimmbron.input.dvi  \
   ${DOC}/zdsolve.input.dvi     ${DOC}/zimmer.input.dvi     \
   ${DOC}/zlindep.input.dvi  
 
diff --git a/src/input/zimmbron.input.pamphlet b/src/input/zimmbron.input.pamphlet
new file mode 100644
index 0000000..5c06bfb
--- /dev/null
+++ b/src/input/zimmbron.input.pamphlet
@@ -0,0 +1,1836 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input zimmbron.input}
+\author{Paul Zimmermann and Manuel Bronstein}
+\maketitle
+\begin{abstract}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{*}
+)set break resume
+)sys rm -f zimmbron.output
+)spool zimmbron.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 143
+y := operator y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 1 
+
+--S 2 of 143
+y' := D(y x, x)
+--R 
+--R
+--R         ,
+--R   (2)  y (x)
+--R
+--R                                                     Type: Expression Integer
+--E 2 
+
+--S 3 of 143
+y'' := D(y', x)
+--R 
+--R
+--R         ,,
+--R   (3)  y  (x)
+--R
+--R                                                     Type: Expression Integer
+--E 3 
+
+--S 4 of146
+y1 := operator y1
+--R 
+--R
+--R   (4)  y1
+--R                                                          Type: BasicOperator
+--E 4
+
+--S 5 of 143
+y2 := operator y2
+--R 
+--R
+--R   (5)  y2
+--R                                                          Type: BasicOperator
+--E 5
+
+--S 6 of 143
+y1' := D(y1 t, t)
+--R 
+--R
+--R          ,
+--R   (6)  y1 (t)
+--R
+--R                                                     Type: Expression Integer
+--E 6
+
+--S 7 of 143
+y2' := D(y2 t, t)
+--R 
+--R
+--R          ,
+--R   (7)  y2 (t)
+--R
+--R                                                     Type: Expression Integer
+--E 7
+
+\end{chunk}
+\subsection{First Order 1 }
+\begin{chunk}{*} 
+--S 8 of 143
+eq := (x^4 - x^3) * y' + 2 * x^4 * y x = x^3/3 + C
+--R 
+--R
+--R                                   3
+--R          4    3  ,        4      x  + 3C
+--R   (8)  (x  - x )y (x) + 2x y(x)= -------
+--R                                     3
+--R                                            Type: Equation Expression Integer
+--E 8
+
+--S 9 of 143
+solve(eq,y,x)
+--R 
+--R
+--R                         3     2                     - 2x
+--R                       2x  - 3x  + 6C              %e
+--R   (9)  [particular= ------------------,basis= [-----------]]
+--R                        4      3      2          2
+--R                     12x  - 24x  + 12x          x  - 2x + 1
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 9
+
+\end{chunk}
+\subsection{First Order 2 }
+\begin{chunk}{*} 
+--S 10 of 143
+eq := - y' / 2 + y x = sin x
+--R 
+--R
+--R            ,
+--R         - y (x) + 2y(x)
+--R
+--R   (10)  ---------------= sin(x)
+--R                2
+--R                                            Type: Equation Expression Integer
+--E 10
+
+--S 11 of 143
+solve(eq,y,x)
+--R 
+--R
+--R                      4sin(x) + 2cos(x)           2x
+--R   (11)  [particular= -----------------,basis= [%e  ]]
+--R                              5
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 11
+
+\end{chunk}
+\subsection{First Order 3 }
+\begin{chunk}{*} 
+--S 12 of 143
+eq := y' = y x / (y x * log y x + x)
+--R 
+--R
+--R          ,            y(x)
+--R   (12)  y (x)= -----------------
+--R                y(x)log(y(x)) + x
+--R                                            Type: Equation Expression Integer
+--E 12
+
+--S 13 of 143
+solve(eq,y,x)
+--R 
+--R
+--R                      2
+--R         y(x)log(y(x))  - 2x
+--R   (13)  -------------------
+--R                2y(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 13
+
+\end{chunk}
+\subsection{First Order 4 }
+\begin{chunk}{*} 
+--S 14 of 143
+eq := 2*(y x)*y'**2-2*x*y'-y x=0
+--R 
+--R
+--R               ,   2      ,
+--R   (14)  2y(x)y (x)  - 2xy (x) - y(x)= 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 14
+
+--S 15 of 143
+solve(eq,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getlincoeff: not an appropriate ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 15
+
+\end{chunk}
+\subsection{Bernoulli }
+\begin{chunk}{*} 
+--S 16 of 143
+eq := y' + y x = y(x)^3 * sin x
+--R 
+--R
+--R          ,                3
+--R   (15)  y (x) + y(x)= y(x) sin(x)
+--R
+--R                                            Type: Equation Expression Integer
+--E 16
+
+--S 17 of 143
+solve(eq,y,x)
+--R 
+--R
+--R                2              2
+--R         - 4y(x) sin(x) - 2y(x) cos(x) + 5
+--R   (16)  ---------------------------------
+--R                          2  2x
+--R                     5y(x) %e
+--R                                          Type: Union(Expression Integer,...)
+--E 17
+
+\end{chunk}
+\subsection{Bernoulli 2 }
+\begin{chunk}{*} 
+--S 18 of 143
+P := operator P
+--R 
+--R
+--R   (17)  P
+--R                                                          Type: BasicOperator
+--E 18
+
+--S 19 of 143
+Q := operator Q
+--R 
+--R
+--R   (18)  Q
+--R                                                          Type: BasicOperator
+--E 19
+
+--S 20 of 143
+eq := y' + P x * y x = Q x * y(x)^n
+--R 
+--R
+--R          ,                        n
+--R   (19)  y (x) + P(x)y(x)= Q(x)y(x)
+--R
+--R                                            Type: Equation Expression Integer
+--E 20
+
+--S 21 of 143
+solve(eq,y,x)
+--R 
+--R
+--R   (20)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 21
+
+\end{chunk}
+In the original text this gave the wrong answer.
+The answer should contain Q. The original text read:
+\begin{verbatim}
+
+                  1
+   (19)  --------------------
+                  x
+                ++
+                |   P(%L)d%L
+               ++
+         y(x)%e
+
+\end{verbatim}
+\begin{chunk}{*} 
+--S 22 of 143
+eq := y' + P x * y x = Q x * y(x)^2
+--R 
+--R
+--R          ,                        2
+--R   (21)  y (x) + P(x)y(x)= Q(x)y(x)
+--R
+--R                                            Type: Equation Expression Integer
+--E 22
+
+--S 23 of 143
+solve(eq,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   Function not supported by Risch d.e.
+--R
+--R   Continuing to read the file...
+--R
+--E 23
+
+\end{chunk}
+We cannot solve for n rational
+\begin{chunk}{*} 
+--S 24 of 143
+eq := y' + P x * y x = Q x * y(x)^(2/3)
+--R 
+--R
+--R          ,                    3+----+2
+--R   (22)  y (x) + P(x)y(x)= Q(x)\|y(x)
+--R
+--R                                            Type: Equation Expression Integer
+--E 24
+
+--S 25 of 143
+solve(eq,y,x)
+--R 
+--R
+--R   (23)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 25
+
+\end{chunk}
+Again, the previous answer was wrong. It should contain Q. 
+The original result was:
+\begin{verbatim}
+
+                   1
+   (31)  ----------------------
+                   x
+                 ++
+                 |   2P(%L)d%L
+                ++
+             2
+         y(x) %e
+
+\end{verbatim}
+\begin{chunk}{*} 
+--S 26 of 143
+eq := y' + P x * y x = Q x * y(x)^3
+--R 
+--R
+--R          ,                        3
+--R   (24)  y (x) + P(x)y(x)= Q(x)y(x)
+--R
+--R                                            Type: Equation Expression Integer
+--E 26
+
+--S 27 of 143
+solve(eq,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   Function not supported by Risch d.e.
+--R
+--R   Continuing to read the file...
+--R
+--E 27
+
+\end{chunk}
+\subsection{Clairaut}
+\begin{chunk}{*} 
+--S 28 of 143
+eq := (x^2-1)*y'^2-2*x*y(x)*y'+y(x)^2-1=0
+--R 
+--R
+--R           2      ,   2           ,          2
+--R   (25)  (x  - 1)y (x)  - 2x y(x)y (x) + y(x)  - 1= 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 28
+
+--S 29 of 143
+solve(eq,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getlincoeff: not an appropriate ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 29
+
+\end{chunk}
+\subsection{Clairaut2}
+\begin{chunk}{*} 
+--S 30 of 143
+f := operator f
+--R 
+--R
+--R   (26)  f
+--R                                                          Type: BasicOperator
+--E 30
+
+--S 31 of 143
+g := operator g
+--R 
+--R
+--R   (27)  g
+--R                                                          Type: BasicOperator
+--E 31
+
+--S 32 of 143
+eq := f(x*y'-y(x))=g(y')
+--R 
+--R
+--R             ,                ,
+--R   (28)  f(xy (x) - y(x))= g(y (x))
+--R
+--R                                            Type: Equation Expression Integer
+--E 32
+
+--S 33 of 143
+solve(eq,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   parseODE: equation has order 0
+--R
+--R   Continuing to read the file...
+--R
+--E 33
+
+\end{chunk}
+\subsection{Exact First}
+\begin{chunk}{*} 
+--S 34 of 143
+eq := y' = (3 * x^2 - y(x)^2 - 7) / (exp y x + 2 * x * y x + 1)
+--R 
+--R
+--R                        2     2
+--R          ,       - y(x)  + 3x  - 7
+--R   (29)  y (x)= --------------------
+--R                  y(x)
+--R                %e     + 2x y(x) + 1
+--R                                            Type: Equation Expression Integer
+--E 34
+
+--S 35 of 143
+solve(eq,y,x)
+--R 
+--R
+--R           y(x)         2           3
+--R   (30)  %e     + x y(x)  + y(x) - x  + 7x
+--R                                          Type: Union(Expression Integer,...)
+--E 35
+
+\end{chunk}
+\subsection{Homogeneous}
+\begin{chunk}{*} 
+--S 36 of 143
+eq := y' = (2 * x^3 * y x - y(x)^4) / (x^4 - 2 * x * y(x)^3)
+--R 
+--R
+--R                    4     3
+--R          ,     y(x)  - 2x y(x)
+--R   (31)  y (x)= ---------------
+--R                        3    4
+--R                 2x y(x)  - x
+--R                                            Type: Equation Expression Integer
+--E 36
+
+--S 37 of 143
+solve(eq,y,x)
+--R 
+--R
+--R   (32)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 37
+
+\end{chunk}
+\subsection{Factor}
+\begin{chunk}{*} 
+--S 38 of 143
+eq := y'*(y'+y(x))=x*(x+y(x))
+--R 
+--R
+--R          ,   2        ,               2
+--R   (33)  y (x)  + y(x)y (x)= x y(x) + x
+--R
+--R                                            Type: Equation Expression Integer
+--E 38
+
+--S 39 of 143
+solve(eq,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getlincoeff: not an appropriate ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 39
+
+\end{chunk}
+\subsection{Interchange}
+\begin{chunk}{*} 
+--S 40 of 143
+eq := y' = x / (x^2 * y(x)^2 + y(x)^5)
+--R 
+--R
+--R          ,            x
+--R   (34)  y (x)= ---------------
+--R                    5    2    2
+--R                y(x)  + x y(x)
+--R                                            Type: Equation Expression Integer
+--E 40
+
+--S 41 of 143
+solve(eq,y,x)
+--R 
+--R
+--R                                      3
+--R                                 2y(x)
+--R                               - ------
+--R                 3     2            3
+--R         (- 2y(x)  - 2x  - 3)%e
+--R   (35)  ------------------------------
+--R                        4
+--R                                          Type: Union(Expression Integer,...)
+--E 41
+
+\end{chunk}
+\subsection{Lagrange}
+\begin{chunk}{*} 
+--S 42 of 143
+eq := y(x)=2*x*y'-a*y'^3
+--R 
+--R
+--R                    ,   3      ,
+--R   (36)  y(x)= - a y (x)  + 2xy (x)
+--R
+--R                                            Type: Equation Expression Integer
+--E 42
+
+--S 43 of 143
+solve(eq,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getlincoeff: not an appropriate ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 43
+
+\end{chunk}
+\subsection{Lagrange 2}
+\begin{chunk}{*} 
+--S 44 of 143
+eq := y(x)=2*x*y'-y'^2
+--R 
+--R
+--R                  ,   2      ,
+--R   (37)  y(x)= - y (x)  + 2xy (x)
+--R
+--R                                            Type: Equation Expression Integer
+--E 44
+
+--S 45 of 143
+solve(eq,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getlincoeff: not an appropriate ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 45
+
+\end{chunk}
+\subsection{Riccati}
+\begin{chunk}{*} 
+--S 46 of 143
+eq := y' = exp x * y(x)^2 - y x + exp(-x)
+--R 
+--R
+--R          ,         2  x     - x
+--R   (38)  y (x)= y(x) %e  + %e    - y(x)
+--R
+--R                                            Type: Equation Expression Integer
+--E 46
+
+--S 47 of 143
+solve(eq,y,x)
+--R 
+--R
+--R   (39)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 47
+
+\end{chunk}
+\subsection{Riccati 2}
+\begin{chunk}{*} 
+--S 48 of 143
+eq := y' = y(x)^2 - x * y x + 1
+--R 
+--R
+--R          ,         2
+--R   (40)  y (x)= y(x)  - x y(x) + 1
+--R
+--R                                            Type: Equation Expression Integer
+--E 48
+
+--S 49 of 143
+solve(eq,y,x)
+--R 
+--R
+--R                          2
+--R                         x
+--R                       - --   x
+--R                          2 ++       1
+--R         (- y(x) + x)%e     |   - ------- d%M  + 1
+--R                           ++           2
+--R                                      %M
+--R                                    - ---
+--R                                       2
+--R                                  %e
+--R   (41)  -----------------------------------------
+--R                                     2
+--R                                    x
+--R                                  - --
+--R                                     2
+--R                      (y(x) - x)%e
+--R                                          Type: Union(Expression Integer,...)
+--E 49
+
+\end{chunk}
+\subsection{Separable}
+\begin{chunk}{*} 
+--S 50 of 143
+eq := y' = (9 * x^8 + 1) / (y(x)^2 + 1)
+--R 
+--R
+--R                   8
+--R          ,      9x  + 1
+--R   (42)  y (x)= ---------
+--R                    2
+--R                y(x)  + 1
+--R                                            Type: Equation Expression Integer
+--E 50
+
+--S 51 of 143
+solve(eq,y,x)
+--R 
+--R
+--R             3             9
+--R         y(x)  + 3y(x) - 3x  - 3x
+--R   (43)  ------------------------
+--R                     3
+--R                                          Type: Union(Expression Integer,...)
+--E 51
+
+\end{chunk}
+\subsection{Solvable x}
+\begin{chunk}{*} 
+--S 52 of 143
+eq := y(x) = 2*x*y'+y(x)*y'^2
+--R 
+--R
+--R                    ,   2      ,
+--R   (44)  y(x)= y(x)y (x)  + 2xy (x)
+--R
+--R                                            Type: Equation Expression Integer
+--E 52
+
+--S 53 of 143
+solve(eq,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getlincoeff: not an appropriate ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 53
+
+\end{chunk}
+\subsection{Solvable y}
+\begin{chunk}{*} 
+--S 54 of 143
+eq := x = y(x)*y'-x*y'^2
+--R 
+--R
+--R                 ,   2        ,
+--R   (45)  x= - x y (x)  + y(x)y (x)
+--R
+--R                                            Type: Equation Expression Integer
+--E 54
+
+--S 55 of 143
+solve(eq,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getlincoeff: not an appropriate ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 55
+
+\end{chunk}
+\subsection{Second Order Change of Variable}
+\begin{chunk}{*} 
+--S 56 of 143
+eq := y''*(a*x+b)^2+4*y'*(a*x+b)*a+2*y(x)*a^2 = 0
+--R 
+--R
+--R           2 2             2  ,,         2          ,        2
+--R   (46)  (a x  + 2a b x + b )y  (x) + (4a x + 4a b)y (x) + 2a y(x)= 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 56
+
+--S 57 of 143
+solve(eq,y,x)
+--R 
+--R
+--R                                         x              2a x + b
+--R   (47)  [particular= 0,basis= [------------------,------------------]]
+--R                                 2 2             2  2 2             2
+--R                                a x  + 2a b x + b  a x  + 2a b x + b
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 57
+
+\end{chunk}
+\subsection{Adjoint}
+\begin{chunk}{*} 
+--S 58 of 143
+eq := (x^2-x)*y'' + (2*x^2+4*x-3)*y' + 8*x*y(x) = 1
+--R 
+--R
+--R           2      ,,         2           ,
+--R   (48)  (x  - x)y  (x) + (2x  + 4x - 3)y (x) + 8x y(x)= 1
+--R
+--R                                            Type: Equation Expression Integer
+--E 58
+
+--S 59 of 143
+solve(eq,y,x)
+--R 
+--R
+--R                          3     2                                   - 2x
+--R                        2x  - 3x  + 53                 1          %e
+--R   (49)  [particular= ------------------,basis= [-------------,-----------]]
+--R                         4      3      2          4     3    2  2
+--R                      12x  - 24x  + 12x          x  - 2x  + x  x  - 2x + 1
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 59
+
+\end{chunk}
+\subsection{Second Order}
+\begin{chunk}{*} 
+--S 60 of 143
+eq := (x^2-x)*y'' + (1-2*x^2)*y' + (4*x-2)*y(x) = 0
+--R 
+--R
+--R           2      ,,           2      ,
+--R   (50)  (x  - x)y  (x) + (- 2x  + 1)y (x) + (4x - 2)y(x)= 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 60
+
+--S 61 of 143
+solve(eq,y,x)
+--R 
+--R
+--R                                 2   2x
+--R   (51)  [particular= 0,basis= [x ,%e  ]]
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 61
+
+\end{chunk}
+\subsection{Autonomous}
+\begin{chunk}{*} 
+--S 62 of 143
+eq := y''-y' = 2*y(x)*y'
+--R 
+--R
+--R          ,,       ,           ,
+--R   (52)  y  (x) - y (x)= 2y(x)y (x)
+--R
+--R                                            Type: Equation Expression Integer
+--E 62
+
+--S 63 of 143
+solve(eq,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getfreelincoeff: not a linear ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 63
+
+\end{chunk}
+\subsection{Autonomous 2}
+\begin{chunk}{*} 
+--S 64 of 143
+eq := y''/y(x)-y'^2/y(x)^2-1+1/y(x)^3 = 0
+--R 
+--R
+--R             2 ,,           ,   2       3
+--R         y(x) y  (x) - y(x)y (x)  - y(x)  + 1
+--R
+--R   (53)  ------------------------------------= 0
+--R                             3
+--R                         y(x)
+--R                                            Type: Equation Expression Integer
+--E 64
+
+--S 65 of 143
+solve(eq,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   parseLODE: not a linear ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 65
+
+\end{chunk}
+\subsection{y missing}
+\begin{chunk}{*} 
+--S 66 of 143
+eq := y'' + 2 * x * y' = 2 * x
+--R 
+--R
+--R          ,,         ,
+--R   (54)  y  (x) + 2xy (x)= 2x
+--R
+--R                                            Type: Equation Expression Integer
+--E 66
+
+--S 67 of 143
+solve(eq,y,x)
+--R 
+--R
+--R   (55)  [particular= x,basis= [1,erf(x)]]
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 67
+
+\end{chunk}
+\subsection{diff}
+\begin{chunk}{*} 
+--S 68 of 143
+eq := 2*y(x)*y''-y'^2 = (y'-x*y'')^2/3
+--R 
+--R
+--R                                2 ,,   2      ,    ,,       ,   2
+--R                               x y  (x)  - 2xy (x)y  (x) + y (x)
+--R               ,,       ,   2
+--R   (56)  2y(x)y  (x) - y (x) = ----------------------------------
+--R                                                3
+--R                                            Type: Equation Expression Integer
+--E 68
+
+--S 69 of 143
+solve(eq,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getlincoeff: not an appropriate ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 69
+
+\end{chunk}
+\subsection{Equidimensional x}
+\begin{chunk}{*} 
+--S 70 of 143
+eq := x*y'' = 2*y(x)*y'
+--R 
+--R
+--R           ,,           ,
+--R   (57)  xy  (x)= 2y(x)y (x)
+--R
+--R                                            Type: Equation Expression Integer
+--E 70
+
+--S 71 of 143
+solve(eq,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getfreelincoeff: not a linear ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 71
+
+\end{chunk}
+\subsection{Equidimensional y}
+\begin{chunk}{*} 
+--S 72 of 143
+eq := (1-x)*(y(x)*y''-y'^2)+x^2*y(x)^2 = 0
+--R 
+--R
+--R                       ,,              ,   2    2    2
+--R   (58)  (- x + 1)y(x)y  (x) + (x - 1)y (x)  + x y(x) = 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 72
+
+--S 73 of 143
+solve(eq,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   parseLODE: not a linear ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 73
+
+\end{chunk}
+\subsection{Exact 2nd Order}
+\begin{chunk}{*} 
+--S 74 of 143
+eq := x*y(x)*y''+x*y'^2+y(x)*y'=0
+--R 
+--R
+--R                ,,         ,   2        ,
+--R   (59)  x y(x)y  (x) + x y (x)  + y(x)y (x)= 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 74
+
+--S 75 of 143
+solve(eq,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   parseLODE: not a linear ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 75
+
+\end{chunk}
+\subsection{Factoring}
+\begin{chunk}{*} 
+--S 76 of 143
+eq := y''^2-2*y'*y''+2*y(x)*y'-y(x)^2=0
+--R 
+--R
+--R          ,,   2     ,    ,,            ,          2
+--R   (60)  y  (x)  - 2y (x)y  (x) + 2y(x)y (x) - y(x) = 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 76
+
+--S 77 of 143
+solve(eq,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getlincoeff: not an appropriate ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 77
+
+\end{chunk}
+\subsection{Liouvillian}
+The original document gave a different answer.
+\begin{verbatim}
+
+                                                           1
+                                               1           --
+                                             - -   x       %L
+                                               x ++      %e
+                                      1    %e    |   ------------- d%L
+                                    - -         ++    +----------+
+                                      x               |  4      3
+                                  %e                 \|%L  - 2%L
+   (65)  [particular= 0,basis= [----------,----------------------------]]
+                                 +-------+           +-------+
+                                 | 2                 | 2
+                                \|x  - 2x           \|x  - 2x
+
+\end{verbatim}
+\begin{chunk}{*} 
+--S 78 of 143
+eq := (x^3/2-x^2)*y'' + (2*x^2-3*x+1)*y' + (x-1)*y(x) = 0
+--R 
+--R
+--R           3     2  ,,         2           ,
+--R         (x  - 2x )y  (x) + (4x  - 6x + 2)y (x) + (2x - 2)y(x)
+--R
+--R   (61)  -----------------------------------------------------= 0
+--R                                   2
+--R                                            Type: Equation Expression Integer
+--E 78
+
+--S 79 of 143
+solve(eq,y,x)
+--R 
+--R
+--R   (62)
+--R   [particular= 0,
+--R                1               1                  1
+--R              - - +-------+   - - +-------+   x   -- +----------+
+--R                x |   1         x |   1     ++    %M |     1
+--R    basis= [%e    |------- ,%e    |-------  |   %e   |---------- d%M ]]
+--R                  | 2             | 2      ++        |  4      3
+--R                 \|x  - 2x       \|x  - 2x          \|%M  - 2%M
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 79
+
+\end{chunk}
+\subsection{Reduction}
+\begin{chunk}{*} 
+--S 80 of 143
+eq := y'' - 2 * x * y' + 2 * y x = 3
+--R 
+--R
+--R          ,,         ,
+--R   (63)  y  (x) - 2xy (x) + 2y(x)= 3
+--R
+--R                                            Type: Equation Expression Integer
+--E 80
+
+--S 81 of 143
+solve(eq,y,x)
+--R 
+--R
+--R                                            2
+--R                                      x   %M
+--R                      3             ++  %e
+--R   (64)  [particular= -,basis= [x,x |   ----- d%M ]]
+--R                      2            ++      2
+--R                                         %M
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 81
+
+\end{chunk}
+\subsection{Integer Factors}
+\begin{chunk}{*} 
+--S 82 of 143
+eq := sqrt(x) * y'' + 2 * x * y' + 3 * y x = 0
+--R 
+--R
+--R          +-+ ,,         ,
+--R   (65)  \|x y  (x) + 2xy (x) + 3y(x)= 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 82
+
+--S 83 of 143
+solve(eq,y,x)
+--R 
+--R
+--R   (66)  [particular= 0,basis= []]
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 83
+
+\end{chunk}
+\subsection{Scale Invariant}
+\begin{chunk}{*} 
+--S 84 of 143
+eq := x^2*y''+3*x*y'+2*y(x)=1/y(x)^3/x^4
+--R 
+--R
+--R          2 ,,         ,                1
+--R   (67)  x y  (x) + 3xy (x) + 2y(x)= -------
+--R                                      4    3
+--R                                     x y(x)
+--R                                            Type: Equation Expression Integer
+--E 84
+
+--S 85 of 143
+solve(eq,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getlincoeff: not an appropriate ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 85
+
+\end{chunk}
+\subsection{undet}
+\begin{chunk}{*} 
+--S 86 of 143
+eq := y'' - 2 / x^2 * y x = 7 * x^4 + 3 * x^3
+--R 
+--R
+--R          2 ,,
+--R         x y  (x) - 2y(x)
+--R                             4     3
+--R   (68)  ----------------= 7x  + 3x
+--R                 2
+--R                x
+--R                                            Type: Equation Expression Integer
+--E 86
+
+--S 97 of 143
+solve(eq,y,x)
+--R 
+--R
+--R                        7     6     3               3      3
+--R                      3x  + 2x  - 7x  + 14         x  - 1 x  + 2
+--R   (69)  [particular= --------------------,basis= [------,------]]
+--R                               12x                    x      x
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 97
+
+\end{chunk}
+\subsection{variation}
+\begin{chunk}{*} 
+--S 88 of 143
+eq := y'' + y x = csc x
+--R 
+--R
+--R          ,,
+--R   (70)  y  (x) + y(x)= csc(x)
+--R
+--R                                            Type: Equation Expression Integer
+--E 88
+
+--S 89 of 143
+solve(eq,y,x)
+--R 
+--R
+--R   (71)
+--R                            sin(x)                     2
+--R   [particular= sin(x)log(----------) - sin(x)log(----------) - x cos(x),
+--R                          cos(x) + 1              cos(x) + 1
+--R    basis= [cos(x),sin(x)]]
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 89
+
+\end{chunk}
+\subsection{Constant Coefficients}
+\begin{chunk}{*} 
+--S 90 of 143
+eq := D(y x,x,7) - 14 * D(y x,x,6) + 80 * D(y x,x,5) - _
+       242 * D(y x,x,4) + 419 * D(y x,x,3) - 416 * y'' + _
+        220 * y' - 48 * y x = 0
+--R 
+--R
+--R   (72)
+--R      (vii)         (vi)         (v)          (iv)          ,,,          ,,
+--R     y     (x) - 14y    (x) + 80y   (x) - 242y    (x) + 419y   (x) - 416y  (x)
+--R
+--R   + 
+--R         ,
+--R     220y (x) - 48y(x)
+--R
+--R     =
+--R     0
+--R                                            Type: Equation Expression Integer
+--E 90
+
+--S 91 of 143
+solve(eq,y,x)
+--R 
+--R
+--R                                  4x   3x   2x     2x   x     x  2  x
+--R   (73)  [particular= 0,basis= [%e  ,%e  ,%e  ,x %e  ,%e ,x %e ,x %e ]]
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 91
+
+\end{chunk}
+\subsection{Euler}
+\begin{chunk}{*} 
+--S 92 of 143
+eq := D(y x,x,4) - 4/x^2 * y'' + 8/x^3 * y' -8/x^4 * y x = 0
+--R 
+--R
+--R          4 (iv)        2 ,,         ,
+--R         x y    (x) - 4x y  (x) + 8xy (x) - 8y(x)
+--R
+--R   (74)  ----------------------------------------= 0
+--R                             4
+--R                            x
+--R                                            Type: Equation Expression Integer
+--E 92
+
+--S 93 of 143
+solve(eq,y,x)
+--R 
+--R
+--R   (75)
+--R   [particular= 0,
+--R
+--R     basis =
+--R         5     3     2       5     3      2       5      3     2
+--R        x  - 5x  + 5x  - 1  x  + 5x  - 10x  + 4  x  - 10x  + 5x  + 4
+--R       [------------------, -------------------, -------------------,
+--R                 x                   x                    x
+--R         5      3      2
+--R        x  - 10x  + 20x  + 4
+--R        --------------------]
+--R                  x
+--R     ]
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 93
+
+\end{chunk}
+\subsection{Exact nth}
+The original document gave a different answer for the particular:
+\begin{verbatim}
+
+                          2
+                         x  - 4                1        x + 1
+   (85)  [particular= ------------,basis= [----------,----------,1]]
+                        2                   2          2
+                      4x  + 4x + 4         x  + x + 1 x  + x + 1
+
+\end{verbatim}
+\begin{chunk}{*} 
+--S 94 of 143
+eq := (1+x+x^2)*D(y x,x,3) + (3+6*x)*y'' + 6*y' = 6*x
+--R 
+--R
+--R           2          ,,,               ,,        ,
+--R   (76)  (x  + x + 1)y   (x) + (6x + 3)y  (x) + 6y (x)= 6x
+--R
+--R                                            Type: Equation Expression Integer
+--E 94
+
+--S 95 of 143
+solve(eq,y,x)
+--R 
+--R
+--R                          4
+--R                         x  - 4                 1        x + 1
+--R   (77)  [particular= ------------,basis= [----------,----------,1]]
+--R                        2                   2          2
+--R                      4x  + 4x + 4         x  + x + 1 x  + x + 1
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 95
+
+\end{chunk}
+\subsection{Circle}
+\begin{chunk}{*} 
+--S 96 of 143
+eq := (y'^2+1)*D(y(x),x,3)-3*y'*y''^2 = 0
+--R 
+--R
+--R           ,   2      ,,,        ,    ,,   2
+--R   (78)  (y (x)  + 1)y   (x) - 3y (x)y  (x) = 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 96
+
+--S 97 of 143
+solve(eq,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   parseLODE: not a linear ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 97
+
+\end{chunk}
+\subsection{transfBernoulli}
+\begin{chunk}{*} 
+--S 98 of 143
+eq := 3*y''*D(y(x),x,4)-5*D(y(x),x,3)^2 = 0
+--R 
+--R
+--R           ,,    (iv)        ,,,   2
+--R   (79)  3y  (x)y    (x) - 5y   (x) = 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 98
+
+--S 99 of 143
+solve(eq,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   parseLODE: not a linear ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 99
+
+\end{chunk}
+\subsection{Delay}
+\begin{chunk}{*} 
+--S 100 of 143
+eq := y'+a*y(x-1) = 0
+--R 
+--R
+--R          ,
+--R   (80)  y (x) + a y(x - 1)= 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 100
+
+--S 101 of 143
+solve(eq,y,x)
+--R 
+--R
+--R            x
+--R          ++
+--R   (81)   |   a y(%M - 1)d%M  + y(x)
+--R         ++
+--R                                          Type: Union(Expression Integer,...)
+--E 101
+
+\end{chunk}
+\subsection{Several}
+\begin{chunk}{*} 
+--S 102 of 143
+eq := D(y(x,a),x,1) = a*y(x,a)
+--R 
+--R
+--R   (82)  y  (x,a)= a y(x,a)
+--R          ,1
+--R                                            Type: Equation Expression Integer
+--E 102
+
+--S 103 of 143
+solve(eq,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   parseODE: equation has order 0
+--R
+--R   Continuing to read the file...
+--R
+--E 103
+
+\end{chunk}
+\subsection{Nth order}
+\begin{chunk}{*} 
+--S 104 of 143
+eq := D(y x,x,4) = sin x
+--R 
+--R
+--R          (iv)
+--R   (83)  y    (x)= sin(x)
+--R
+--R                                            Type: Equation Expression Integer
+--E 104
+
+--S 105 of 143
+ini := [0, 0, 0, 0]
+--R 
+--R
+--R   (84)  [0,0,0,0]
+--R                                                Type: List NonNegativeInteger
+--E 105
+
+--S 106 of 143
+solve(eq,y,x=0,ini)
+--R 
+--R
+--R                    3
+--R         6sin(x) + x  - 6x
+--R   (85)  -----------------
+--R                 6
+--R                                          Type: Union(Expression Integer,...)
+--E 106
+
+\end{chunk}
+\subsection{BesselJ}
+\begin{chunk}{*} 
+--S 107 of 143
+eq := x * y'' + y' + 2 * x * y x = 0
+--R 
+--R
+--R           ,,       ,
+--R   (86)  xy  (x) + y (x) + 2x y(x)= 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 107
+
+--S 108 of 143
+solve(eq,y,x=0,[1,0])
+--R 
+--R
+--R   (87)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 108
+
+\end{chunk}
+\subsection{Separable}
+\begin{chunk}{*} 
+--S 109 of 143
+eq := x*y'^2-y(x)^2+1=0
+--R 
+--R
+--R            ,   2       2
+--R   (88)  x y (x)  - y(x)  + 1= 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 109
+
+--S 110 of 143
+solve(eq,y,x=0,[1])
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getlincoeff: not an appropriate ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 110
+
+--S 111 of 143
+eq := y' = sqrt((y(x)^2-1)/x)
+--R 
+--R
+--R                 +---------+
+--R                 |    2
+--R          ,      |y(x)  - 1
+--R   (89)  y (x)=  |---------
+--R                \|    x
+--R                                            Type: Equation Expression Integer
+--E 111
+
+--S 112 of 143
+solve(eq,y,x=0,[1])
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   catdef: division by zero
+--R
+--R   Continuing to read the file...
+--R
+--E 112
+
+\end{chunk}
+\subsection{ic2}
+\begin{chunk}{*} 
+--S 113 of 143
+eq := y''+y(x)*y'^3 = 0
+--R 
+--R
+--R          ,,           ,   3
+--R   (90)  y  (x) + y(x)y (x) = 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 113
+
+--S 114 of 143
+solve(eq,y,x=0,[0,2])
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getlincoeff: not an appropriate ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 114
+
+)clear all
+ 
+
+\end{chunk}
+\subsection{intcomb}
+\begin{chunk}{*} 
+--S 115 of 143
+x := operator x
+--R 
+--R
+--R   (1)  x
+--R                                                          Type: BasicOperator
+--E 115
+
+--S 116 of 143
+y := operator y
+--R 
+--R
+--R   (2)  y
+--R                                                          Type: BasicOperator
+--E 116
+
+--S 117 of 143
+z := operator z
+--R 
+--R
+--R   (3)  z
+--R                                                          Type: BasicOperator
+--E 117
+
+--S 118 of 143
+x' := D(x(t),t)
+--R 
+--R
+--R         ,
+--R   (4)  x (t)
+--R
+--R                                                     Type: Expression Integer
+--E 118
+
+--S 119 of 143
+y' := D(y(t),t)
+--R 
+--R
+--R         ,
+--R   (5)  y (t)
+--R
+--R                                                     Type: Expression Integer
+--E 119
+
+--S 120 of 143
+z' := D(z(t),t)
+--R 
+--R
+--R         ,
+--R   (6)  z (t)
+--R
+--R                                                     Type: Expression Integer
+--E 120
+
+--S 121 of 143
+sys:=[x'=-3*y(t)*z(t),y'=3*x(t)*z(t),z'=-x(t)*y(t)]
+--R 
+--R
+--R          ,                  ,                ,
+--R   (7)  [x (t)= - 3y(t)z(t),y (t)= 3x(t)z(t),z (t)= - x(t)y(t)]
+--R
+--R                                       Type: List Equation Expression Integer
+--E 121
+
+--S 122 of 143
+solve(sys,[x,y,z],t)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getfreelincoeff: not a linear ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 122
+
+\end{chunk}
+\subsection{MRiccatti}
+\begin{chunk}{*} 
+--S 123 of 143
+a := operator a
+--R 
+--R
+--R   (8)  a
+--R                                                          Type: BasicOperator
+--E 123
+
+--S 124 of 143
+b := operator b
+--R 
+--R
+--R   (9)  b
+--R                                                          Type: BasicOperator
+--E 124
+
+--S 125 of 143
+eq1 := x'=a(t)*(y(t)^2-x(t)^2)+2*b(t)*x(t)*y(t)+2*c*x(t)
+--R 
+--R
+--R          ,             2                           2
+--R   (10)  x (t)= a(t)y(t)  + 2b(t)x(t)y(t) - a(t)x(t)  + 2c x(t)
+--R
+--R                                            Type: Equation Expression Integer
+--E 125
+
+--S 126 of 143
+eq2 := y'=b(t)*(y(t)^2-x(t)^2)-2*a(t)*x(t)*y(t)+2*c*y(t)
+--R 
+--R
+--R          ,             2                                    2
+--R   (11)  y (t)= b(t)y(t)  + (- 2a(t)x(t) + 2c)y(t) - b(t)x(t)
+--R
+--R                                            Type: Equation Expression Integer
+--E 126
+
+--S 127 of 143
+solve([eq1,eq2],[x,y],t)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getlincoeff: not an appropriate ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 127
+
+\end{chunk}
+\subsection{Triangular}
+\begin{chunk}{*} 
+--S 128 of 143
+eq1 := x'=x(t)*(1+cos(t)/(2+sin(t)))
+--R 
+--R
+--R          ,     x(t)sin(t) + x(t)cos(t) + 2x(t)
+--R   (12)  x (t)= -------------------------------
+--R                           sin(t) + 2
+--R                                            Type: Equation Expression Integer
+--E 128
+
+--S 129 of 143
+eq2 := y'=x(t)-y(t)
+--R 
+--R
+--R          ,
+--R   (13)  y (t)= - y(t) + x(t)
+--R
+--R                                            Type: Equation Expression Integer
+--E 129
+
+--S 130 of 143
+solve([eq1,eq2],[x,y],t)
+--R 
+--R
+--R   (14)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 130
+
+\end{chunk}
+\subsection{Vector}
+\begin{chunk}{*} 
+--S 131 of 143
+eq1 := x' = 9*x(t)+2*y(t)
+--R 
+--R
+--R          ,
+--R   (15)  x (t)= 2y(t) + 9x(t)
+--R
+--R                                            Type: Equation Expression Integer
+--E 131
+
+--S 132 of 143
+eq2 := y' = x(t)+8*y(t)
+--R 
+--R
+--R          ,
+--R   (16)  y (t)= 8y(t) + x(t)
+--R
+--R                                            Type: Equation Expression Integer
+--E 132
+
+--S 133 of 143
+solve([eq1,eq2],[x,y],t)
+--R 
+--R
+--R                                             10t
+--R                                       10t %e        7t     7t
+--R   (17)  [particular= [0,0],basis= [[%e   ,-----],[%e  ,- %e  ]]]
+--R                                             2
+--RType: Union(Record(particular: Vector Expression Integer,basis: List Vector Expression Integer),...)
+--E 133
+
+\end{chunk}
+\subsection{High Order}
+\begin{chunk}{*} 
+--S 134 of 143
+eq1 := x'-x(t)+2*y(t)=0
+--R 
+--R
+--R          ,
+--R   (18)  x (t) + 2y(t) - x(t)= 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 134
+
+--S 135 of 143
+eq2 := D(x(t),t,2)-2*y'=2*t-cot(2*t)
+--R 
+--R
+--R          ,,        ,
+--R   (19)  x  (t) - 2y (t)= - cot(2t) + 2t
+--R
+--R                                            Type: Equation Expression Integer
+--E 135
+
+--S 136 of 143
+solve([eq1,eq2],[x,y],t)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   solve: not a first order linear system
+--R
+--R   Continuing to read the file...
+--R
+--E 136
+
+\end{chunk}
+\subsection{Inhomogeneous}
+\begin{chunk}{*} 
+--S 137 of 143
+eq1 := x' = -x(t)/t/(t^2+1)+y(t)/t^2/(t^2+1)+1/t
+--R 
+--R
+--R                                 3
+--R          ,     y(t) - t x(t) + t  + t
+--R   (20)  x (t)= ----------------------
+--R                         4    2
+--R                        t  + t
+--R                                            Type: Equation Expression Integer
+--E 137
+
+--S 138 of 143
+eq2 := y' = -t^2*x(t)/(t^2+1)+(2*t^2+1)*y(t)/t/(t^2+1)+1
+--R 
+--R
+--R                   2             3        3
+--R          ,     (2t  + 1)y(t) - t x(t) + t  + t
+--R   (21)  y (t)= -------------------------------
+--R                              3
+--R                             t  + t
+--R                                            Type: Equation Expression Integer
+--E 138
+
+--S 139 of 143
+solve([eq1,eq2],[x,y],t)
+--R 
+--R
+--R                                                         1    2
+--R   (22)  [particular= [log(t) - 1,t log(t) - t],basis= [[-,- t ],[1,t]]]
+--R                                                         t
+--RType: Union(Record(particular: Vector Expression Integer,basis: List Vector Expression Integer),...)
+--E 139
+
+)clear all
+
+\end{chunk}
+\subsection{Bronstein}
+\begin{chunk}{*} 
+--S 140 of 143
+s := sqrt(-222)
+--R 
+--R
+--R         +-----+
+--R   (1)  \|- 222
+--R                                                        Type: AlgebraicNumber
+--E 140
+
+--S 141 of 143
+a0 := 104/25*x^10+(274/25-22/15*s)*x^8+(7754/75-68/15*s)*x^6
+--R 
+--R
+--R                        +-----+                  +-----+
+--R        104  10   - 110\|- 222  + 822  8   - 340\|- 222  + 7754  6
+--R   (2)  --- x   + ------------------- x  + -------------------- x
+--R         25                75                       75
+--R                                             Type: Polynomial AlgebraicNumber
+--E 141
+
+--S 142 of 143
+a0 := a0+(11248/75-194/15*s)*x^4+(29452/75-296/5*s)*x^2-10952/5-148/3*s
+--R 
+--R
+--R   (3)
+--R                     +-----+                  +-----+
+--R     104  10   - 110\|- 222  + 822  8   - 340\|- 222  + 7754  6
+--R     --- x   + ------------------- x  + -------------------- x
+--R      25                75                       75
+--R   + 
+--R         +-----+                     +-----+                    +-----+
+--R   - 970\|- 222  + 11248  4   - 4440\|- 222  + 29452  2   - 740\|- 222  - 32856
+--R   --------------------- x  + ---------------------- x  + ---------------------
+--R             75                         75                          15
+--R                                             Type: Polynomial AlgebraicNumber
+--E 142
+
+--S 143 of 143
+a2 := x^12+2*x^10+151/3*x^8+296/3*x^6+5920/9*x^4+10952/9*x^2+5476/9
+--R 
+--R
+--R         12     10   151  8   296  6   5920  4   10952  2   5476
+--R   (4)  x   + 2x   + --- x  + --- x  + ---- x  + ----- x  + ----
+--R                      3        3         9         9          9
+--R                                            Type: Polynomial Fraction Integer
+--E 143
+
+\end{chunk}
+This code loops trying to factor the formula.
+\begin{chunk}{*) 
+--y := operator y
+--y' := D(y x, x)
+--y'' := D(y', x)
+--eq := a2*y'' - a0*y(x)
+--solve(eq,y,x)
+--R 
+--R   WARNING (genufact): No known algorithm to factor
+--R      8     43808    6   827062184  4   44060595526144  2   27067141014651136
+--R     ?  + --------- ?  - --------- ?  - -------------- ?  - -----------------
+--R            +-----+         5625               +-----+           31640625
+--R          5\|- 222                      253125\|- 222
+--R     , trying square-free.
+--R   WARNING (genufact): No known algorithm to factor
+--R      8   4292  6   16006348  4   58334426144  2   94037902336
+--R     ?  + ---- ?  + -------- ?  + ----------- ?  + -----------
+--R           25         1875           421875           140625
+--R     , trying square-free.
+--R   WARNING (genufact): No known algorithm to factor
+--R      8      1776    6   151034  4     108731456   2   902641936
+--R     ?  - --------- ?  - ------ ?  + ------------ ?  - ---------
+--R            +-----+        625            +-----+        390625
+--R          5\|- 222                   9375\|- 222
+--R     , trying square-free.
+--R   WARNING (genufact): No known algorithm to factor
+--R        8      7   3426  6   14364  5   903369  4   277938  3   31725044  2
+--R       ?  - 18?  + ---- ?  - ----- ?  + ------ ?  - ------ ?  + -------- ?
+--R                    25         25         625         125         15625
+--R     + 
+--R         15594264     3118752
+--R       - -------- ? + -------
+--R           15625       15625
+--R     , trying square-free.
+--R
+
+\end{chunk}
+\subsection{Moussiaux}
+This equation crashes Axiom silently and is a major bug.
+\begin{chunk}{*} 
+--solve(15*D(y(x),x)+24*y(x)^2=7*x^(-8/3),y,x)
+
+)spool 
+)lisp (bye)
+ 
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Zimmermann, Paul 
+``http://www.loria.fr/~zimmerma/ComputerAlgebra/ode_comp.axiom''
+\end{thebibliography}
+\end{document}
